blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
ddbbd97cb6d78e4051a2dcc25d22d21ec3ea5936
Shell
akhurange/tutorial-multithreading
/combine_archives.sh
UTF-8
666
3.515625
4
[]
no_license
#!/bin/bash tmpdir=`tempfile` final_lib=$1 shift rm -f $final_lib for i in "$@" do echo $i if [[ "$i" =~ ^.*\.a$ ]]; then rm -rf $tmpdir mkdir -p $tmpdir cur_path=$PWD cp $i $tmpdir cd $tmpdir arn=`basename $i` ar x $arn >/dev/null rm -f $arn arn_tmp=`echo $arn | sed 's/.a$//g'` l=`ls` for j i...
true
4ddab03d2a83a67e8f1bdc2a805594d255942ad9
Shell
larrycameron80/kodachi
/home/kodachi/.kbase/bootgui
UTF-8
380
2.640625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Script written by W. Al Maawali # (c) 2016 Founder of Eagle Eye Digital Solutions # http://www.digi77.com # http://www.om77.net # script starts here: # check if user has logged in if [[ $(who |grep 'kodachi'|cut -d : -f 1| awk 'NR==1') = *kodachi* ]]; then sudo killall cairo-dock; notify-send "Dock...
true
bf0ea19813fd576d31ea09ed5b2688e4cb45fad4
Shell
delkyd/alfheim_linux-PKGBUILDS
/larn/PKGBUILD
UTF-8
1,263
2.890625
3
[]
no_license
# Contributor: Simon Parzer <simon.parzer@gmail.com> pkgname=larn pkgver=20090906 pkgrel=1 pkgdesc="a roguelike computer game authored by Noah Morgan in 1986 for the UNIX operating system" arch=("i686" "x86_64") license=('BSD') url="http://www.netbsd.org" depends=('ncurses') makedepends=('cvs') source=('larn-bsdtolinux...
true
577778b78507ce3b8e260ceebe165b60a0384ef2
Shell
rojekabc/projewski-bitcoin
/src/scripts/build.sh
UTF-8
169
2.625
3
[ "MIT" ]
permissive
#!/bin/bash MAVEN=`which mvn 2> /dev/null`; if ! test "$?" = "0"; then echo "Cannot find maven"; exit; fi $MAVEN clean install $MAVEN package -pl projewski-portfolio
true
f28f766b50875e245e6ca93f98f272e606512e52
Shell
amirkamran/smt-playground
/playground/pickbug
UTF-8
360
3.140625
3
[]
no_license
#!/bin/bash re="$1" out="$2" input=evaluation.in ref=evaluation.ref.0 hyp=evaluation.opt.out [ ! -z "$out" ] || out=bug grep "$re" -n $input $ref $hyp | cut -d: -f2 | sort -u > $out.lines greplines $out.lines < $input > $out.in greplines $out.lines < $ref > $out.ref greplines $out.lines < $hyp > $out.hyp echo "Sel...
true
e10420727c042a68f3131a181d2bea6c1d1dea35
Shell
matthiaswh/bit4
/test833-sshguard/templates/ipfw.rules.j2
UTF-8
1,272
2.703125
3
[]
no_license
#!/bin/sh LOOP="lo*" PIF="{{ ansible_default_ipv4.interface }}" PING="icmptypes 8" UNREACH="icmptypes 3" ipfw -q flush alias ADD="ipfw -q add" # # Basic rules # ADD 0100 allow all from any to any via $LOOP ADD 0999 check-state # # Inbound rules # # Block attackers from accessing any port. table(22) is maintained...
true
033a2a7514d59329139b7be9a73583f7368f4068
Shell
Aasthaengg/FinetuneGPT
/script.sh
UTF-8
1,316
3.109375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash git clone https://github.com/Aasthaengg/auto_coding.git && cd auto_coding pip install -r requirements.txt # transformers, pytorch etc. declare -A hashmap hashmap["pytorch_examples"]="https://github.com/pytorch/examples.git" hashmap["tensorflow_examples"]="https://github.com/tensorflow/examples.git" hashma...
true
4b3be5ed91d12484e3eeeaec0891aa526fca9343
Shell
dhakiki/git-town
/src/helpers/terminal_helpers.sh
UTF-8
3,324
4.375
4
[ "MIT" ]
permissive
#!/usr/bin/env bash shopt -s extglob # Helper methods for writing to the terminal. # Prints a line in bold function echo_bold { output_style_bold echo "$@" output_style_reset } # Prints an error header into the terminal. function echo_error_header { echo echo_red_bold "$(echo_indented 'Error')" } # Pr...
true
6e94ea2fba9aa8e21d1db9c57ba31a586eb8741c
Shell
wu-qiang/sscm-client
/scripts/setup-script.sh
UTF-8
2,917
2.859375
3
[]
no_license
#!/bin/bash # # Set up scripts needed for demo env # if [ -z "$SSCM_BUILD_DIR" ] ; then echo "SSCM_BUILD_DIR not set! Exiting." exit 1 fi if [ -z "$SCRIPTS_DIR" ] ; then echo "SCRIPTS_DIR not set! Exiting." exit 1 fi echo "cp -f $SSCM_BUILD_DIR/sscm-client/scripts/pgp/gpg-script.sh $SCRIPTS_DIR" cp ...
true
7527c81f78662056d9091c5a41dc00f1544f1949
Shell
google/santa
/Testing/integration/test_config_changes.sh
UTF-8
714
3.171875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -x # TODO(nickmg): These `santactl status`s should be run with sudo to mirror the others, # however currently (2022-10-27) non-root status is what correctly reads from provisioning profile configuration. bazel run //Testing/integration:install_profile -- Testing/integration/configs/default.mobileconfi...
true
a5e04a76652aef7d7dd8c3d130c7e6e2f7ddb8d0
Shell
gahm03/dotfiles
/upfiles2home
UTF-8
323
2.78125
3
[]
no_license
#!/bin/bash #clear d=$(pwd) # gets the current directory cp $d/.vimrc ~ cp $d/.tmux.conf ~ mkdir -p ~/.vim/templates mkdir -p ~/.tmux cp -r $d/templates/* ~/.vim/templates cp -r $d/three-panes ~/.tmux cp -r $d/compiletex ~/.tmux echo "files copied" # don't fotget to make executable the file using chmod 755 nameofthefi...
true
1296aa5a14c2d0be220f603cb18a8c4292caa7b7
Shell
spllr/nifty-bash-commands
/findin
UTF-8
963
4.4375
4
[]
no_license
#!/bin/bash function usage() { echo "Recursively search files in the given directory (or CWD) for a a string." echo "" echo -e "Usage:\tfindin string" echo -e "\tfindin [options] string" echo "" echo -e "\t-d dir, \tThe directory to search" echo -e "\t-t wc, \t...
true
dcac2db508c2a942c0984f99fdf76464ddeb9087
Shell
ncarrier/carino-products
/common/skel/bin/config_network
UTF-8
776
3.1875
3
[]
no_license
#!/bin/sh itf=wlan0 exec > /dev/kmsg 2>&1 if [ "${SUBSYSTEM}" != "net" ] || [ "${ACTION}" != "add" ] || [ "${INTERFACE}" != "${itf}" ]; then exit 0 fi # for an unknown reason, set -x issues empty lines when redirected to kmsg, # hence the echoes echo /sbin/ip link set ${itf} up /sbin/ip link set ${itf} up echo /sb...
true
29fdd5a39028d9edc0ce9b2ae6c2480c74905a00
Shell
nottvlike/EGP
/Lua/build_lua.sh
UTF-8
790
3.484375
3
[ "MIT" ]
permissive
if [ $1 == "help" ]; then echo "build_lua.sh [Android | iOS | Win32 | MacOSX | Linux]" exit 0 fi export PLATFORM=$1 if [[ $PLATFORM == "Android" || $PLATFORM == "iOS" || $PLATFORM == "Win32" || $PLATFORM == "MacOSX" || $PLATFORM == "Linux" ]]; then echo "begin build" $PLATFORM else echo "Wrong argument!" exit 1...
true
428496bab2a95694ba25d93cf179e269d067bd9f
Shell
krattai/AEBL
/blades/xtreemfs/tests/test_scripts/hadoop_ssl_test.sh
UTF-8
5,224
3.46875
3
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
#!/bin/bash XTREEMFS=$1 TEST_DIR=$4 HADOOP_VERSIONS="1.2.1" VOLUME="$(basename $(dirname $(pwd)))" for VERSION in $HADOOP_VERSIONS; do echo "Test XtreemFS with hadoop $VERSION" #download and extract hadoop echo "Download Hadoop $VERSION..." wget -nv -O $TEST_DIR/hadoop-$VERSION.tar.gz http://archive.apa...
true
f2e459af776d7795d0f5655db4394787ed7e261b
Shell
AAABioInfo/repo
/W4/createCrisprReady.sh
UTF-8
2,756
3.546875
4
[]
no_license
#!/bin/bash # input 1: $1= motif_list.txt $2=All_exomes $3=$All_exomes_Test # Output: Output: dir(species_name) # files: # species_name_motif_count_All.txt # species_name_count_TOP3 # species_topMotif1_count.fa # speci...
true
842a6c203ee5eb7750a749cf935a4cf9d8bb14d7
Shell
veemoC3/easy-shell-zip-maker
/script.sh
UTF-8
376
3.25
3
[]
no_license
#!/bin/sh echo -e "\e[92m insert password and files you want turned to zip and encrypted" echo -e "\e92m your password for the zip:" read PASSWD echo -e "\e92m now insert the files you want to zip together:" read FILES echo -e "\e92m choose zip file name" read ZIPNAME zip --password $PASSWD $ZIPNAME.zip $FILES echo -e...
true
a363980a1b260b0e77a059e0ef5516ef4464ec35
Shell
openshift/origin
/hack/convert-samples.sh
UTF-8
518
3.171875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash source "$(dirname "${BASH_SOURCE}")/lib/init.sh" os::util::ensure::built_binary_exists 'origin-version-change' IGNORE_FILES={$IGNORE_FILES:-"examples/sample-app/github-webhook-example.json"} sample_files=$(find {api,examples,docs,images,plugins,test} -name "*.json" -o -name "*.yaml") ignore_arr=(...
true
8fa8acda6acfce8adacbf9579550b2622e06faa9
Shell
Jibux/jdr_data
/tidy.sh
UTF-8
844
3.234375
3
[]
no_license
#!/bin/bash FILE=$1 FILE2=monsters_tidy/${FILE##*/} sed -r "s#<ul>#\n<ul>#g ; s#</ul>#</ul>\n#g ; s#</li>#</li>\n#g" $FILE > $FILE2 sed -ri "s#<(/|)(i|a|li|ul|br)[^>]*>##g ; s#[{}]##g ; s#<sup>([^<]+)</sup>#{\1}#g ; s#<b>#\n<b>#g ; s/&nbsp;?/ /g ; s/—/-/g ; s/–/-/g ; s/’/'/g ; s/•\s*//g ; s/\s+$//g" $FILE2 sed -ri "s...
true
4094db8e1590c82e98fdd16ce4b16bcaa065044c
Shell
berry2012/DevSecOps
/GCP/install-forseti-server.sh
UTF-8
2,905
3.8125
4
[]
no_license
#!/bin/bash # Forseti gives you tools to understand all the resources you have in GCP. # Inventory regularly collects data from your GCP resources and makes it available to other modules. # Scanner periodically compares your rules about GCP resource policies against the policies collected by Inventory, and saves the ...
true
9b6b01abc3268d2a904ed531a6f32c14d645006c
Shell
monishbairagi/CSE_5TH_SEM
/OS/DAY8/Q2.sh
UTF-8
263
3.703125
4
[]
no_license
echo -n "Enter File Path: " read PATH if [ -f $PATH ]; then echo "$PATH passwords are enabled." if [ -w $PATH ]; then echo "You have permission to edit $path." else echo "You do NOT have permission to edit $path." fi else echo "$PATH does NOT exist." fi
true
d21852ebe6c51eb50d605ba50fdedbe558c56177
Shell
bostonaustin/public
/utility_bin/ssh_remove_weak_ciphers.sh
UTF-8
1,057
3.375
3
[]
no_license
#!/bin/bash ssh_conf="/etc/ssh/ssh_config" sshd_conf="/etc/ssh/sshd_config" if grep -q Ciphers ${ssh_conf}; then sed -i.bak '/Ciphers.*/c\ Ciphers aes128-ctr,aes192-ctr,aes256-ctr' $ssh_conf sed -i.bak '/MACs.*/c\ MACs hmac-sha1,hmac-ripemd160' $ssh_conf else echo "" >> $ssh_conf echo "# lines a...
true
e50f59eb93bbdaea4ca140fd56f5d44d14ee6e02
Shell
jhavensHMC/sciATAC
/phenoSheet.sh
UTF-8
845
3.296875
3
[]
no_license
#!/bin/bash #author: Jennifer Havens #makes pheno_sheet.txt for monocle analysis #run after split.sh #once done can run monocle analysis scFILES=/home/exacloud/lustre1/SpellmanLab/havens/ATAC/scAlign/* #gives directory where aligned files split by cells are put, end with * OUTfile=/home/exacloud/lustre1/Spell...
true
2b331d25fe7bc4345b8db5ad49ee85eb0fde2539
Shell
mrkeuz/docker-archlinux
/makepkg/docker-enable-makepkg-repo
UTF-8
215
3.1875
3
[]
no_license
#!/bin/bash # Helper that adds the makepkg repo to pacman.conf set -e if grep -qE '^[makepkg]' /etc/pacman.conf; then exit 1 fi cat >> /etc/pacman.conf << EOF [makepkg] Server=file:///repo/ SigLevel=Never EOF
true
e760603e63a7f06907cfbf6d7aa7a062ee5ad6e5
Shell
fmjabato/PhenFun
/launch_build_networks.sh
UTF-8
2,001
2.984375
3
[ "MIT" ]
permissive
#! /usr/bin/env bash # @author Pedro Seoane Zonjic, Fernando Moreno Jabato # Initialize DEPENDENCIES # > Autoflow source ~soft_bio_267/initializes/init_autoflow # Add necessary scripts current_dir=`pwd` export PATH=$current_dir'/scripts':$PATH export PATH=$current_dir'/sys_bio_lab_scripts':$PATH #establish the var...
true
7bb2290dbc86eeb7a9925593a749df4548fdbefa
Shell
jrviray/Scripts
/korn/script7.ksh
UTF-8
117
3.046875
3
[]
no_license
#!/bin/ksh #Name: PrintDays #Prints the days of week using shift for x in $@ do echo $1 $2 $3 $4 $5 $6 $7 shift done
true
e3283257ceba8407bc6a371b3a09f6fbc1c8be79
Shell
sprnza/awesome_conf
/bin/helpers.sh
UTF-8
3,547
2.84375
3
[]
no_license
#!/bin/bash case $1 in xset) xset q|awk '/ timeout:| DPMS is / {if(++i%4==0) printf RS; printf $NF FS }' ;; mpstat) mpstat 1 1 |tail -1| awk '{ printf("%d",100 - $12) }' ;; firefox_tabs) if ps aux|grep "[f]irefox -P Sprnza" >/dev/null; then FF_curr=$(sed -n "$(python2 <<< $'import json\nf = open(...
true
7a952f2f8e4c03963335d9c2427fda89452159b0
Shell
centreon/centreon-plugins
/tests/functional/cloud/aws/cloudtrail/checktrailstatus.sh
UTF-8
1,102
3.390625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash current_dir="$( cd "$(dirname "$0")/../../../../.." >/dev/null 2>&1 || exit ; pwd -P )" cmd="perl $current_dir/src/centreon_plugins.pl --plugin=cloud::aws::cloudtrail::plugin --custommode=paws --region=eu-west --aws-secret-key=secret --aws-access-key=key" nb_tests=0 nb_tests_ok=0 test_status_ok=$($cmd -...
true
c2bc6fe72785af6ee8ddd09b7f4dec68e81745de
Shell
Jorengarenar/dotfiles
/git/template/hooks/pre-push
UTF-8
739
3.6875
4
[ "MIT" ]
permissive
#!/usr/bin/env sh zero=$(git hash-object --stdin </dev/null | tr '0-9a-f' '0') while read -r local_ref local_oid remote_ref remote_oid do if [ "$local_oid" = "$zero" ]; then continue fi if [ -x "$(command -v git-style-diff)" ]; then out=$(git style-diff --color "$remote_oid" "$local_oid")...
true
64a7270e233d31db3bcfd1aac5e75beaadd335be
Shell
SolarNetwork/solarnode-os-images
/debian/bin/armbian-build.sh
UTF-8
7,208
3.765625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash BOARD="${BOARD:-nanopiair}" BOOT_DEV_LABEL="${BOOT_DEV_LABEL:-SOLARBOOT}" ROOT_DEV_LABEL="${ROOT_DEV_LABEL:-SOLARNODE}" BUILD_HOME="armbian" COMPRESS_DEST_IMAGE="" COMPRESS_DEST_OPTS="-8 -T 0" DEBIAN_VERSION="10" IMAGE_SIZE="952" SKIP_BUILD="" SKIP_DATE_CHECK="" SKIP_CUST_IMAGE="" do_help () { c...
true
2c58af07c9f9a824f75dbc80c01324fdf79a87c5
Shell
mrsWangxing/aopalliance-example
/remove-empty-line.sh
UTF-8
627
3.390625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash function trap_exit() { #test -f $$ && rm $$ echo "exit" } set -e trap "trap_exit" EXIT which mvn if [ $? -eq 0 ]; then mvn clean fi find -type f -name '*.java' | xargs sed -i '/^\s*$/d' find -type f -name '*.xml' | xargs sed -i '/^\s*$/d' #find -type f -name '*.properties' | xar...
true
afef200c15a3bac569ee6dcf026a5397a830a59c
Shell
clairegriffin/new-installer
/bashew.sh
UTF-8
23,152
3.671875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash readonly script_author="peter@forret.com" # run_as_root: 0 = don't check anything / 1 = script MUST run as root / -1 = script MAY NOT run as root readonly run_as_root=-1 list_options() { echo -n " #commented lines will be filtered flag|h|help|show usage flag|q|quiet|no output flag|v|verbose|outpu...
true
8327b0266c867181aca769cc1ba37fb3b642a0c4
Shell
MIUI-RUSSIAN/MTKZenyT
/inc/func/functions_filesystem
UTF-8
2,082
4.125
4
[ "CC0-1.0" ]
permissive
#!/bin/bash if ! ${EXEC}; then exit; fi function choose_directory() { local index="$1" name="$2" if [[ "${DIALOG}" -ne 0 ]]; then case "${index}" in "d") DIR_CHOOSED=$(dialog_select_dir "${name}") ;; "f") FILE_CHOOSED=$(dialog_select_file "${name}") ...
true
89802322a2e00fe14fe8d4e1554ebe4d278258fc
Shell
smzht/wsl-utils
/wslinit
UTF-8
695
3.234375
3
[ "MIT" ]
permissive
# -*- mode: sh; coding: utf-8-unix -*- export DRVFS=$( declare -a drvfs while read -r line; do line=$(echo "$line" | sed 's!/$!!') drvfs=("${drvfs[@]}" "$line") done < <( if uname -v | grep -v -q Microsoft || [ $(uname -r | cut -d'-' -f 2) -ge 18362 ]; then echo "/|$(wsl...
true
8d88d707ee01bb2c8be2eca2bdd49084b7e011d5
Shell
bohachu/cameo-motion-1213-1704
/sh/get_folders_in_folder.sh
UTF-8
1,164
4.125
4
[]
no_license
#! /bin/bash # 尚未完成 # e.g. search /home/* and return 1st depth of folders in /home/ # : ./get_folders_in_folder.sh search_dir="/home" # for entry in `ls $search_dir`; do # # echo "$entry" # filepath="/$search_dir/$entry" # echo "filepath=$filepath" # if [[ -d $filepath ]]; then # entry_basen...
true
7f64bc8a8f0495af7bc6497d5fd7de73b9d21e98
Shell
Flexberry/dockerfiles
/alt.p8-postgresql/12/root/bin/fillTable.sh
UTF-8
281
2.609375
3
[ "MIT" ]
permissive
#!/bin/sh echo "create database test1; \c test1 CREATE TABLE indexing_table(created_at TIMESTAMP WITH TIME ZONE DEFAULT NOW()); " | psql -U postgres while true; do psql -U postgres -d test1 -c "INSERT INTO indexing_table(created_at) VALUES (CURRENT_TIMESTAMP);" sleep 1; done
true
04c30bbdbb9e3f2ca0a29939b658bba7ba017801
Shell
pgierz/adjust_jan_spec
/adjust_jan_spec_from_T63.sh
UTF-8
5,159
3.859375
4
[]
no_license
#!/usr/bin/env bash echo -e "\033[1;32m S T A R T O F P R O G R A M " echo adjust_jan_spec_from_T63.sh echo -e "\033[0m" read -r -d '' usage <<'EOF' This script regenerates a T63L47_jan_spec.nc input file from an existing T63 simulation in order to cope with adapted orography Requirements: $1 <EXPID>_echam6_ec...
true
10cd3ffe83e837b2bb24ed123e3051cab901d799
Shell
LucasRoesler/ingress-operator
/hack/update-crds.sh
UTF-8
376
2.828125
3
[ "MIT" ]
permissive
#!/bin/bash set -e set -o pipefail controllergen="$(go env GOBIN)/controller-gen" PKG=sigs.k8s.io/controller-tools/cmd/controller-gen@v0.6.2 if [ ! -e "$controllergen" ] then echo "Getting $PKG" go install $PKG fi echo "using $controllergen" "$controllergen" \ crd \ schemapatch:manifests=./artifacts/crds \...
true
3c079073ce798a5d7814018cf9acc9bebe99ce7e
Shell
HalleyTm/kira
/workstation/scripts/await-sentry-init.sh
UTF-8
10,641
3.390625
3
[]
no_license
#!/bin/bash set +e && source "/etc/profile" &>/dev/null && set -e source $KIRA_MANAGER/utils.sh # quick edit: FILE="$KIRA_MANAGER/scripts/await-sentry-init.sh" && rm $FILE && nano $FILE && chmod 555 $FILE set -x CONTAINER_NAME=$1 SENTRY_NODE_ID=$2 SAVE_SNAPSHOT=$3 [ -z "$SAVE_SNAPSHOT" ] && SAVE_SNAPSHOT="false" COMMO...
true
388926b78c6f359ef4b879cc1a312fd97f503c4c
Shell
mjg59/scripts
/oem/ami/prod-publish.sh
UTF-8
221
3.15625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash BOARD="amd64-usr" GROUP="$1" VER="$2" DIR=/home/ec2-user/scripts/oem/ami if [ -z "$GROUP" -o -z "$VER" ]; then echo "Usage: $0 alpha 1.2.3" >&2 exit 1 fi $DIR/publish_ami.sh -b $BOARD -g $GROUP -V $VER
true
0b510a388b5dff3d641e822e07bc5635fe64c295
Shell
petronny/aur3-mirror
/compizconfig-backend-gconf-bzr/PKGBUILD
UTF-8
1,229
3.0625
3
[]
no_license
pkgname=compizconfig-backend-gconf-bzr pkgver=163 pkgrel=1 pkgdesc="GConf backend for Compiz" url="https://launchpad.net/compiz-compizconfig-gconf" license=('GPL' 'LGPL' 'MIT') arch=('i686' 'x86_64') depends=('gconf' 'libcompizconfig-bzr') makedepends=('intltool' 'cmake') provides=('compizconfig-backend-gconf') conflic...
true
91a89dddf83b16d3ac253195f16767eec4d196db
Shell
xianjimli/misc
/projects/active-sync-mobile/script/gen_device_write.sh
UTF-8
142
2.53125
3
[]
no_license
#!/bin/bash echo $* | awk -F, '{for(i = 1; i <= NF; i++) {field=$i; sub(/^ /, "", field); system("./gen_device_write_one.sh " field );}; }'
true
9c19f2ffc263d54fa3652a40aa0dfc8dd102441b
Shell
salesforce/craft
/scripts/install.sh
UTF-8
3,692
3.875
4
[ "BSD-3-Clause" ]
permissive
#!/bin/sh set -eu OKGREEN='\033[92m' FAIL='\033[91m' WARN='\033[93m' INFO='\033[94m' ENDC='\033[0m' function PassPrint() { echo "$OKGREEN $1 $ENDC" } function FailPrint() { echo "$FAIL $1 $ENDC" } function WarnPrint() { echo "$WARN $1 $ENDC" } function InfoPrint() { echo "$INFO $1 $ENDC" } OS=$(unam...
true
fe6719164f4a6e2c4f9cc0257403deb32ff71035
Shell
jjm2473/BPI-W2-bsp
/scripts/bootloader.sh
UTF-8
856
3.203125
3
[]
no_license
#!/bin/sh #gunzip -c BPI_M3_1080P.img.gz | dd of=/dev/mmcblk0 conv=sync,noerror bs=1k die() { echo "$*" >&2 exit 1 } [ -s "./env.sh" ] || die "please run ./configure first." . ./env.sh O=$1 if [ ! -z $O ] ; then BOARD=$O fi U=/tmp/${TARGET_PRODUCT} if [ ! -d $U ]; then mkdir -p $U fi TMP_FILE=/...
true
9f164d53bad307fa9c6e303059eeef1c6076e56c
Shell
digitalpolygon/drupal-recommended-project
/.ddev/commands/host/setup
UTF-8
513
3.328125
3
[]
no_license
#!/bin/bash ## Description: Initialize project and setup application ## Usage: setup ## Example: ddev setup set -ev # Cleanup/remove project resources and assets. ddev stop --remove-data --omit-snapshot ddev start --skip-confirmation if ! command -v composer >/dev/null; then echo "composer is not available. You m...
true
769f9b123484b386de195891a8c017f17b5a865b
Shell
iacabezasbaculima/UNIX_ShellScripting
/args_shift.sh
UTF-8
242
3.5
4
[ "Apache-2.0" ]
permissive
#!/bin/sh #Using command line arguments with the shift command ITEMS=0 for NUM in $@ do ITEMS=`expr $ITEMS + 1` done COUNTER=0; while [ "$COUNTER" != "$ITEMS" ] do sleep 1 COUNTER=`expr $COUNTER + 1` echo "$@" shift done
true
5cac6b8bc3fa9334f21edd239714c0e4a7b69328
Shell
essembeh/dotfiles
/logitech/auto.sh
UTF-8
650
3.484375
3
[]
no_license
#!/bin/sh set -eu ROOT=$(dirname "$0") TOOL_BIN="$ROOT/g810-led" TMPDIR=$(mktemp -d) REPO_URL="https://github.com/MatMoul/g810-led" PROFILE_NIGHT="$ROOT/g810-dark.profile" PROFILE_DAY="$ROOT/g810-light.profile" if ! test -x "$TOOL_BIN"; then echo "⏳ Build $REPO_URL ..." git clone --quiet "$REPO_URL" "$TMPDIR"...
true
ee7388a81371c9ec344b749a32c37699e82eac5d
Shell
pfeiffee/ferdi-server-fixed
/docker/entrypoint.sh
UTF-8
1,060
3.0625
3
[ "MIT" ]
permissive
#!/bin/bash cat << EOL ------------------------------------- ____ ___ / __/__ _______/ (_) / _// -_) __/ _ / / _/_/ \__/_/ \_,_/_/ / __/__ _____ _____ ____ _\ \/ -_) __/ |/ / -_) __/ /___/\__/_/ |___/\__/_/ Brought to you by getferdi.com Support our Open Coll...
true
09bafa6ae6c74e43d1855b4316691365eff90a9d
Shell
reiosantos/prosper
/.bin/run
UTF-8
3,287
4.03125
4
[]
no_license
#!/bin/bash gits=(prosper-rest-api prosper-traffic) txtbld=$(tput bold) txtrst=$(tput sgr0) txtlue=$(tput setaf 4) txtund=$(tput sgr 0 1) git_url=git@github.com:reiosantos/ printGitProjectName() { echo -e "${txtbld}${txtlue}****** $1 ******${txtrst}" } commandName() { echo -e "${txtund}${txtbld}${txtlue...
true
bdb67c6969e5bc2e4abf2756ab254fca05a65e49
Shell
yh549848/ngsfiles
/scripts/subsample_fastq.sh
UTF-8
355
3.546875
4
[]
no_license
#! /bin/bash # # Sub # function subsample () { input=$1 seed=12345 num_reads=(100000) for n in ${num_reads[@]} do output_file=${input%%.*}.${n}.fastq.gz cmd="seqkit sample -n ${n} -s ${seed} -o ${output_file} ${input}" echo $cmd eval $cmd done } # # Main # inputs=($@) for input in ${inp...
true
db341b3429a112c702b0ab61d2750b0c3cc23dd1
Shell
alexjg/kafka-topic-creator
/create-topics
UTF-8
483
3.234375
3
[]
no_license
#!/bin/sh for topic in $TOPICS; do topicDescription=$(kafka-topics --zookeeper $ZOOKEEPER --describe --topic $topic) if [ -z "$topicDescription" ] then echo "creating $topic" kafka-topics --zookeeper $ZOOKEEPER \ --create \ --topic $topic \ --partitions ...
true
7421763261bc7bfa705ea647e8d6313aa3fe01f8
Shell
rsignell-usgs/pangeo-notebook
/prepare.sh
UTF-8
1,289
3.703125
4
[]
no_license
#!/bin/bash set -x echo "Copy Dask configuration files from pre-load directory into /home/jovyan" cp --update -r -v /pre-home/. /home/jovyan if [ -z "$EXAMPLES_GIT_URL" ]; then export EXAMPLES_GIT_URL=https://github.com/ESIPFed/pangeo-example-notebooks fi rmdir examples &> /dev/null # deletes directory if empty,...
true
f12c57984d4c058a9b6d5d4625f2c5315d5fecd4
Shell
mr337/mymove
/scripts/run-deployed-migrations
UTF-8
2,235
4.0625
4
[ "LicenseRef-scancode-public-domain", "MIT" ]
permissive
#! /usr/bin/env bash # # A script to apply all migrations, including secure migrations, to a local database. # https://github.com/transcom/mymove/blob/master/docs/how-to/migrate-the-database.md#secure-migrations set -eu -o pipefail function usage() { echo "SECURE_MIGRATION_SOURCE=s3 SECURE_MIGRATION_BUCKET_NAME=* $...
true
60e0f2a5dea042c7fdcc109f9cf10c69d3845717
Shell
masonchen2014/alipython
/shutdown_tomcat.sh
UTF-8
261
2.875
3
[]
no_license
#!/bin/sh PID=`netstat -ntlpu | grep tcp | grep :$1 | awk '{print $NF}' | awk -F/ '{print $1}'` if [ $PID ];then $2bin/shutdown.sh fi PID=`netstat -ntlpu | grep tcp | grep :$1 | awk '{print $NF}' | awk -F/ '{print $1}'` if [ $PID ];then kill -9 $PID fi
true
57469057f023695f2c0df723bd1f92fa6ca76dc6
Shell
mlahmadx/Demo
/cmake_cleanup.sh
UTF-8
663
2.703125
3
[]
no_license
#!/bin/sh echo "0% ---- project build cleanup" make clean sleep 1 echo "20% ---- cleanup cmake install files" rm -rf */*/cmake_install.cmake */cmake_install.cmake cmake_install.cmake rm -rf */*/install_manifest.txt */install_manifest.txt install_manifest.txt sleep 1 echo "40% ---- cleanup cmake cache files" rm -rf...
true
0b402d1aa3475e0e627928e2ab043483a3b2706f
Shell
joshuaar/alarc-scripts
/ScottScripts/7_expression.sh
UTF-8
697
3.078125
3
[]
no_license
RSEMHOME='/data1/utils/rsem-1.2.5' cd .. mkdir 7_Expression cd 7_Expression ln -s ../6_Assembly/Trinity.fasta.transdecoder.cds . echo "preparing reference from predicted coding sequences..." $RSEMHOME/rsem-prepare-reference Trinity.fasta.transdecoder.cds trinity-rsem echo "done preparing reference" echo "mapping re...
true
5289e35e8446f2d2c30497c061d958fd7dad27f3
Shell
NoobsDevelopers/L2Nextgen
/java/LoginServer_loop.sh
UTF-8
704
2.84375
3
[]
no_license
#!/bin/sh # ======== JVM settings ======= javaopts=" -Xms32m" javaopts="$javaopts -Xmx64m" javaopts="$javaopts -XX:SurvivorRatio=8" javaopts="$javaopts -Xincgc" javaopts="$javaopts -XX:+AggressiveOpts" # не изменять java_settings=" -Dfile.encoding=UTF-8" java_settings="$java_settings -Djava.net.preferIPv4Stack=true" ...
true
94f7f92a2d4fe9848b087b0db782f564fe60ee9c
Shell
ekancepts/dotfiles
/vim/install
UTF-8
580
3.359375
3
[ "LicenseRef-scancode-warranty-disclaimer", "MIT" ]
permissive
#!/usr/bin/env bash source "$DIR/utils/index" info "Setup \033[0;37m[vim]\033[0m" plugin_path="${XDG_DATA_HOME:-$HOME/.local/share}/nvim/site/autoload/plug.vim" if [ ! -f $plugin_path ]; then sh -c "curl -fLo $plugin_path --create-dirs \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim" #...
true
e584e66b9d0d53c1d98572e960350fa2e06a09f1
Shell
Chrysostomus/packages-community
/forecasts/PKGBUILD
UTF-8
1,131
2.8125
3
[]
no_license
# Based on the file created for Arch Linux by: # Contributor: fancris3 <fancris3 at aol.com> # Contributor: fbianconi <fbianconi at gmail.com> # Contributor: Moritz Maxeiner <moritz@ucworks.org> # Maintainer: Philip Müller <philm[at]manjaro[dot]org> pkgname=forecasts pkgver=221.a169559 ever=0.18.5 pkgrel=3 pkgdesc="En...
true
15e85779423fbd9265510af8aa9999670b46ed1a
Shell
jmcausing/LXCWP
/x.sh
UTF-8
364
3.015625
3
[]
no_license
#!/bin/bash ## Downloading nginx 'default' file if [[ $(ls play.yml | grep play.yml) ]]; then echo "# Existing play.yml detected. Deleting and downloading a new one." rm play.yml wget https://github.com/jmcausing/LXCWP/raw/master/play.yml else echo "Downloading play.yml playbook" wget https://github....
true
71b071eff544e83620a61d3880c6a9b03c966ff5
Shell
helenagarcia90/dotfiles
/setup.sh
UTF-8
1,051
3.640625
4
[]
no_license
#/bin/bash function make_link() { if [ $# -eq 1 ];then _fromfilename=$1 _tofilename=$1 fi if [ $# -eq 2 ];then _fromfilename=$1 _tofilename=$2 fi if [ $# -eq 1 -o $# -eq 2 ];then echo "ln -hfs $FROM/$_fromfilename $TO/$_tofilename" ln -hfs $FROM/$_fromfilename $TO/$_tofilename fi } ...
true
3d959f17e2a22218aedb5a020256ea29fe1ed9d8
Shell
malukisecurity/life
/curso.sh
UTF-8
10,199
2.96875
3
[]
no_license
#!/bin/bash # Cores preto="\033[0;30m" vermelho="\033[0;31m" verde="\033[0;32m" marrom="\033[0;33m" azul="\033[0;34m" purple="\033[0;35m" cyan="\033[0;36m" cinzaClaro="\033[0;37m" pretoCinza="\033[1;30m" vermelhoClaro="\033[1;31m" verdeClaro="\033[1;32m" amarelo="\033[1;33m" azulClaro="\033[1;34m" purpleClaro="\033[1;...
true
95abed7a1f941378f50e7a37f33fb7d37021f52e
Shell
lyneca/dotfiles
/bin/usb
UTF-8
691
3.71875
4
[ "MIT" ]
permissive
#!/bin/sh if [ ! $1 = "" ]; then sudo su --command="echo $2 > /sys/bus/usb/devices/1-$1/power/control" else echo USB Device Power: for i in $(seq 0 5); do file="/sys/bus/usb/devices/1-$i" if [ -d "$file" ]; then if [ -f "$file/power/control" ]; then power=$(cat $f...
true
8753bfe94e3cea3d50be672f5a37862a3346d8ae
Shell
hfalk/dotfiles
/setup/prerequisites.sh
UTF-8
2,088
4.4375
4
[]
no_license
#!/bin/bash # SCRIPT_DIR == Same folder as the script is placed in SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "${SCRIPT_DIR}/../settings.sh" source "${SCRIPT_DIR}/utils.sh" install_xcode_select() { print_info "Installing Xcode Command Line Tools (This might take a few minutes)" if type...
true
74b0f46c46fca1892a13391daba98415e416912a
Shell
alalav1/mooc-grader
/scripts/sandbox_available/install-firefox.sh
UTF-8
856
3.125
3
[]
no_license
#!/bin/bash # # Provides firefox browser for in browser testing. # Tests are recommended to run with python using selenium.webdriver.Firefox() # The selenium can be installed with pip inside a virtualenv. # if ! grep --quiet universe /etc/apt/sources.list then echo "deb http://archive.ubuntu.com/ubuntu precise univers...
true
5d0a06fdc1f549090b1f866e805c37d11cea6fc0
Shell
rokudev/samples
/media/TrickPlayThumbnailsHLS/scripts/gen_tiles.sh
UTF-8
3,571
3.84375
4
[ "MIT" ]
permissive
#!/bin/bash # # Copyright (c) 2019-2020 Roku, Inc. All rights reserved. # # References: # https://stackoverflow.com/questions/2853334/glueing-tile-images-together-using-imagemagicks-montage-command-without-resizin # http://www.imagemagick.org/script/command-line-options.php#append # https://github.com/image-media-playl...
true
fe5f392414b5a203dac9a2e9f38e53afb857fef6
Shell
mhtess/genex_cogsci2020
/analysis/webppl/ais_loop_nComponents.sh
UTF-8
1,230
2.890625
3
[]
no_license
#!/bin/bash modelTypes=("independent") conditions=("pedagogical" "2pedagogical" "3pedagogical" "generic" "accidental" "2accidental" "3accidental" "4pedagogical" "4accidental" "pedageneric") n_components=(1 2 3) job_directory=$PWD/.job for modelType in ${modelTypes[@]}; do for condition in ${conditions[@]}; do fo...
true
d7f63365135aab3e4762b8a1c15f0371656747ca
Shell
m4rkl4r/bl_tools
/py3/sbin/bl_cpm_chmodHeaders
UTF-8
220
2.828125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash ID=`id -u` if ! test "$ID" = 0; then echo $0 must be run as root fi find /unixworks/bl_tools/eng/headers -type f -exec chmod uga+r "{}" \; find /unixworks/bl_tools/eng/headers -type f -exec ls -ld "{}" \;
true
82d52511950325f624991aaa887c6aa98364c1cb
Shell
billagee/sandbox
/bash/jenkins/boolean_param_in_jenkins_job.sh
UTF-8
882
3.703125
4
[]
no_license
#!/bin/bash -eu # When you add a boolean parameter to a Jenkins job, the two values the # param will contain are the strings "true" or "false". # # So when using a boolean param value configured with these settings: # # Name: SAVE_VIDEO_ON_SUCCESS # Default value: [ ] # # In a bash script build step, you can use t...
true
cc416a3d3f7a859585bbf5219c8f14a68474126c
Shell
xmaver/Destiny-2-Matchmaking-Firewall
/d2firewall.sh
UTF-8
9,899
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash #credits to @BasRaayman and @inchenzo INTERFACE="tun0" DEFAULT_NET="10.8.0.0/24" RED='\033[0;31m' GREEN='\033[0;32m' BLUE='\033[0;34m' NC='\033[0m' while getopts "a:" opt; do case $opt in a) action=$OPTARG ;; *) echo 'Not a valid command' >&2 exit 1 esac done reset_ip_tables () { sud...
true
26ca50ec5e6db74b8c1691f5d3cb48987f4935ee
Shell
joaogbcravo/dotfiles
/dot_zshrc.tmpl
UTF-8
2,230
3.078125
3
[]
no_license
#!/bin/zsh # Path to your oh-my-zsh installation. export ZSH=~/.oh-my-zsh # Set name of the theme to load. # Look in ~/.oh-my-zsh/themes/ #ZSH_THEME="robbyrussell" # Uncomment the following line to use case-sensitive completion. # CASE_SENSITIVE="true" # Uncomment the following line to use hyphen-insensitive comple...
true
f5d22e7274c2d0c45f4182ecc901af10a8a1da7d
Shell
MTMurphy77/HIRES_REDUX_Swinburne
/idlspec2d/bin/.svn/text-base/guidermon_checkin.sh.svn-base
UTF-8
1,481
3.546875
4
[]
no_license
#!/bin/bash # # Extract the night's guider data (seeing, etc.) from the processed guider # files and put the result in a .par file based on the MJD. Then check # that file in to the speclog product. # # Must be run as observer@sos3, designed for crontab. # # Requires ~observer/bin/sjd.py and guidermonfile.pro from idl...
true
842456655dce9f9f19cb137a44db3d2c02113e44
Shell
StathisGln/Ntua-Speech_and_Natural_language_Processing_2017_Greeklish_tranducer
/second_script.sh
UTF-8
3,123
3.03125
3
[]
no_license
#!/bin/bash set -x ### ORTHOGRAFOS ### python3 train_orthografo.py python3 create_L.py # create L fst fstcompile --isymbols=L.syms --osymbols=L.syms L_fst.txt L.fst fstdeterminize L.fst L_det.fst fstminimize L_det.fst L_min.fst # Create S1 fst fstcompile --isymbols=L.syms --osymbols=L.syms I_fst.txt I.fst fstcompile...
true
1fe23f9a84e201914c55ef29ab10c73c47847c32
Shell
groubaud101/minitalk
/mini.sh
UTF-8
132
2.828125
3
[]
no_license
#!/bin/bash make if [ -z $1 ] || [ -z $2 ] then echo "./client <text lenght> <PID>" exit 1 fi ARG=`./a.out $1` ./client $2 $ARG
true
af69763661ae9679e110420dc39fb8f2b549923e
Shell
khemlalnirmalkar/ottotype
/bin/functions/clean.sh
UTF-8
273
3.15625
3
[]
no_license
#!/bin/bash clean() { find -maxdepth 1 -name "*fastq.gz" -type f -or -type l | \ rename 's/_L001//; s/_001//; s/_1.fastq/_S01_R1.fastq/ ; s/_2.fastq/_S01_R2.fastq/' echo -e "\n\n# The filenames were renamed with the ${FUNCNAME[0]} function" &>> $log_file }
true
9a5d5966fce627822f8fcf07c833289e1f020047
Shell
maikmerten/ogv.js
/compileOggFlash.sh
UTF-8
368
2.59375
3
[ "MIT", "BSD-3-Clause" ]
permissive
#!/bin/bash export PATH="$HOME/crossbridge/sdk/usr/bin:$PATH" export CFLAGS=-O4 dir=`pwd` # set up the build directory mkdir build cd build mkdir flash cd flash mkdir root mkdir libogg cd libogg # finally, run configuration script ../../../libogg/configure --prefix="$dir/build/flash/root" --disable-shared # comp...
true
c527b78ef91dc2f1f6f6380cff40e121cc6d8cbe
Shell
TOoSmOotH/securityonion-docker-ng
/so-core/bin/so-elastic-start
UTF-8
937
2.71875
3
[]
no_license
#!/bin/bash . /opt/so/bin/so-elastic-common . /opt/so/conf/securityonion.conf # Need to remove the existing containers before starting new ones. # so-elastic-stop does run so-elastic-remove after stopping containers, # but we need to run it again here just in case. # The common scenario would be a user rebooting wit...
true
2d163e1543223c5b91ff670851bf85357b818814
Shell
FauxFaux/debian-control
/n/nut/nut-cgi_2.7.4-8_amd64/postrm
UTF-8
615
3.25
3
[]
no_license
#!/bin/sh -e case "$1" in remove) # remove sample file if those were previously (wrongly) installed for file in upsset.conf hosts.conf upsstats.html upsstats-single.html ; do if [ -f /etc/nut/${file}.sample ] ; then rm -f /etc/nut/${file}.sample fi done ;; purge) # do noth...
true
e1bb00f18cb0e6d12bcc097420e1eff3f429ceca
Shell
KhondokerTanvirHossain/bash-script
/dev5.sh
UTF-8
85
2.734375
3
[]
no_license
dev5(){ n=5 while [[ !((n -eq 105)) ]]; do printf "n" n=$(($n+5)) done } dev5
true
1a88a438d46d12c7c48c205576e064a0671e9465
Shell
bias/basecamp
/base
UTF-8
988
3.140625
3
[]
no_license
#!/usr/bin/env bash # NOTE api exapmle from website # curl -H 'Accept: application/xml' -H 'Content-Type: application/xml' -u 05843cba04869e814b758270cc28ccefca09ea9d:X 'https://annosum.basecamphq.com/todo_lists.xml?responsible_party=6606027' | grep -G content # basic HTTP authentication no password API_token="-u 058...
true
3b3fd95d9449684d1b7d10fa49584650f0435b83
Shell
StackCanary/os-filesystem
/testing/tests/1.sh
UTF-8
149
2.609375
3
[]
no_license
if ! mkdir -p $1/a/b/c/d/e/f; then exit 1 fi if ! mkdir -p $1/g/h/i/j/k/l; then exit 1 fi if ! mkdir -p $1/m/n/o/p/q/r; then exit 1 fi
true
84b58097fa2c3a6609cee0cd67b178581cb4643e
Shell
red1028/vicsnf-shell
/c_vnf/04.config_icn_dtn_vnf.sh
UTF-8
9,506
3.734375
4
[]
no_license
#!/bin/bash bold=$(tput bold) normal=$(tput sgr0) #################################### ## input nfd name and manage network #################################### echo "" read -p "${bold}Set the ICN + DTN VNF function. Do you want to proceed?(n or y[default]) :${normal}" is_process if [ -z $is_process ]; then is_pr...
true
db6e0d832138b3d74e7a9379c0100a9464825f0d
Shell
kulve/pleco
/debian/pleco.init
UTF-8
1,889
3.46875
3
[ "MIT" ]
permissive
#!/bin/bash ### BEGIN INIT INFO # Provides: pleco # Required-Start: $network $remote_fs $syslog # Required-Stop: $network $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 1 # Short-Description: Start Pleco Remote Controllable Vehicle ### END INIT INFO PATH=/sbin:/bin:/usr/sbin:/usr/bin . /l...
true
c2bc77932418382447aa56e48533b566a99a142e
Shell
Dimitri-Berardi-Bose/adbCompanion
/services/adb_log
UTF-8
849
3.671875
4
[ "MIT" ]
permissive
#!/bin/bash deviceID=$1 # Defining Directories homeDirectory="$HOME" binDirectory="$homeDirectory/bin/" adbCompanionDir="$binDirectory/adbCompanion/" adbServices="$adbCompanionDir/services/" last_log="$adbServices/last_log" finish() { lastLog=$(zenity --question --ellipsize --icon-name="document-open" --text "\nWo...
true
ee986dc248a9b7ff1ea606b413e9d95b3810b67c
Shell
renfeihn/RenPeoject
/Example/src/main/resources/baseConfig/test/sysctl_cfg.sh
WINDOWS-1252
562
2.609375
3
[]
no_license
#ڴ vm_max_count="vm.max_map_count" vm_swappiness="vm.swappiness" if cat test.txt | grep "$vm_max_count">/dev/null then sed -i "s#vm.max_map_count=.*#vm.max_map_count=655360#g" test.txt else sed -i '$a vm.max_map_count=655360' test.txt fi if cat test.txt | grep "$vm_swappiness">/dev/null then sed -i "s#vm.swappiness=....
true
3472f508052c72ecd9fcacde256567a1e7dd59c7
Shell
jions7ihj/ELK_Tutorial
/4 elasticsearch/clear.sh
UTF-8
506
2.578125
3
[]
no_license
#!/bin/sh # #elasticsearch的清理+优化倒排索引脚本 # # curator --host 127.0.0.1 delete indices --index .logstash- --older-than 7 --time-unit days --timestring %Y.%m.%d // 这一行就是删除7天前的数据 curator --timeout 36000 --host 127.0.0.1 optimize --max_num_segments 1 indices --older-than 1 --time-unit days -...
true
b4c5a6829c52ae4200a51d779f08be3a37625f49
Shell
holphi/Shell_Study
/Structured_cmds/test6.sh
UTF-8
200
3.21875
3
[]
no_license
#!/bin/bash #Testing the test commmand # my_variable="Full" if test $my_variable then echo "The $my_variable expression returns a True" else echo "The $my_variable expression returns a False" fi
true
8fb7e2f519edaf57040fe6806aa7397daebd4a74
Shell
peez80/docker-openhab
/files/start-openhab-docker.sh
UTF-8
611
3.625
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # link bindings BINDINGS_CONFIG_FILE=$OPENHAB_DIR/configurations/bindings.list BINDINGS_CONFIG_DIR=$OPENHAB_DIR/addons # set current user as owner of config files chown -R `whoami` $OPENHAB_DIR/configurations if [ -f "$BINDINGS_CONFIG_FILE" ] then # Link each line of bindingsfile while read -r line do...
true
09477470b78c9b536fd2a81cba5312d1ef7b429e
Shell
cloudfoundry/garden-runc-release
/packages/garden-idmapper/packaging
UTF-8
451
2.890625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash set -euo pipefail mkdir -p "${BOSH_INSTALL_TARGET}/src" mv * "${BOSH_INSTALL_TARGET}/src" mv "${BOSH_INSTALL_TARGET}/src" . source /var/vcap/packages/golang-*-linux/bosh/compile.env mkdir -p "${BOSH_INSTALL_TARGET}/bin" export GOBIN="${BOSH_INSTALL_TARGET}/bin" pushd src/idmapper for binary in...
true
bc8d03805e2c70a085ef361fc7556368fb2efd3c
Shell
wesleynunes/instalador_programas_ubuntu
/instalador.sh
UTF-8
1,807
3.765625
4
[]
no_license
#!/bin/bash #Instalação do sublime text, visual studio code Wordbench, Chrome e pycharm para ubuntu desktop echo echo "Script para ubuntu" echo echo "Aguarde 2 segundos..." sleep 2 clear echo "------Facilitando sua vida no Linux!----------" echo ####MENU DE PROGRAMAS##### echo "::Digite o numero e tecle enter ou para ...
true
4d45a090dbdb6f88acc40fd25ddc988705663f3f
Shell
tlops/myJob
/labb6/test.sh
UTF-8
200
3.453125
3
[]
no_license
#!/bin/bash echo "Your Argument is:$1" if [ $# -eq 1 ]; then echo "You need one Parameter!" elif [ $# -gt 1 ]; then echo -e "your parameter is: $1 $2 $3 \n" echo $0 echo $* fi exit 0
true
26d5c04b2d1172a571ae518fe77425a94b6a72ec
Shell
infinitly/heroku-buildpack-bower
/bin/detect
UTF-8
96
2.703125
3
[]
no_license
#!/bin/sh if [ -f "$1/bower.json" ]; then echo "Bower" exit 0 else echo "no" exit 1 fi
true
0bae15748e75916d77cc56433975bfc373d8b03a
Shell
FreeSlave/freeslave.github.io
/gen-freedesktop-docs.sh
UTF-8
592
3.28125
3
[]
no_license
#!/bin/sh set -e COMMONDIR=d-freedesktop if [ ! -d $COMMONDIR/source ]; then mkdir -p $COMMONDIR/source fi if [ ! -d repos ]; then mkdir -p repos fi REPOS=repos for repo in inilike desktopfile icontheme mimeapps xdgpaths mime do if [ ! -d $REPOS/$repo ]; then (cd $REPOS && git clone https://gi...
true
e9a0bff33799a49562daed8f68e3643252db4f93
Shell
relrod/rublets
/eval/run-smlnj.sh
UTF-8
348
2.5625
3
[]
no_license
#!/bin/bash # We do SML evaluations this way so that we can force CM_VERBOSE=false. # The inability to set environment variables is a limitation of `sandbox`, not # of Ruby or Rublets. If we can figure out a way to set envrionment variables # from `sandbox`, we can probably relatively easily use that from Rublets. exp...
true
1abbc3be35b9ac1b9f626e3d3b326b8388a9f621
Shell
EVAyo/OCRmyPDF-Quick-Install
/select_homebrew_mirror.sh
UTF-8
2,408
3.609375
4
[]
no_license
change_homebrew_default(){ echo "Changing the homebrew mirror to: Deafult ..." git -C "$(brew --repo homebrew/core)" remote set-url origin https://github.com/Homebrew/homebrew-core.git git -C "$(brew --repo homebrew/cask)" remote set-url origin https://github.com/Homebrew/homebrew-cask.git echo "Change...
true
34ba8e106aba22427fb29fd8acd7cafad467d333
Shell
geokai/shell_scripting
/loops/for/for_list05.sh
UTF-8
398
3.734375
4
[]
no_license
#!/bin/bash # Declare an array of string with type: declare -a StringArray=("PHP" "Java" "C++" "VB.Net" "Python" "Perl") # Print array values in lines: echo "Print each element on a new line" for val1 in ${StringArray[*]} do echo $val1 done echo "" # Print array values in one line: echo "Print all elements on ...
true
81e5b6e15a5fdc9ab41a5bceaa04b4e44f84e675
Shell
mikewlange/openchecks
/dockerSkeleton/parse-check-with-ocr.sh
UTF-8
1,051
3.59375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash echo $1 > params.json # Cloudant credentials and the _id of the attachment/document to download. CLOUDANT_USER=`cat params.json | jq -r '.CLOUDANT_USER'` CLOUDANT_PASS=`cat params.json | jq -r '.CLOUDANT_PASS'` CLOUDANT_AUDITED_DATABASE=`cat params.json | jq -r '.CLOUDANT_AUDITED_DATABASE'` IMAGE_ID=`cat ...
true
d3649cac7d978a2704eb66341845874929ca9991
Shell
xunmengdeganjue/workTest
/wireless/Test_env/spectrumWiFi_Wag_env/sepctrum_wifi_phase_1-4/for_wan_clear.sh
UTF-8
4,257
3.140625
3
[]
no_license
#! /bin/bash ########################################## ######### for wan clear ######### pass arguement as start/stop/restart ######### and mode as 6 for ipv6 and anything for ipv4 ########################################## fun_setup_info(){ if [ "$1" == "6" ] then IP6=true fi if [ -z ${IP6+x} ]; then ...
true
b9989693534913bfa72a45e5aa096c2c8f7f4cbe
Shell
HexHive/FuZZan
/fuzzan_autosetup.sh
UTF-8
302
2.59375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e # install prerequisite package sudo apt install prelink patchelf # build llvm as native version echo "build llvm" export FUZZAN_MODE="1" pushd LLVM ./build.sh 1 popd # build libshrink pushd etc/libshrink ./build.sh popd # build afl echo "build afl" pushd afl ./build-afl.sh popd
true
0d8c86ceefada93871f7d38510120c247910b5a1
Shell
solarkennedy/ipmi-kvm-docker
/novnc/utils/rebind
UTF-8
424
3.5
4
[ "Apache-2.0", "MPL-2.0", "BSD-3-Clause", "Zlib", "CC-BY-SA-4.0", "CC-BY-SA-3.0", "OFL-1.1", "BSD-2-Clause" ]
permissive
#!/usr/bin/env bash usage() { echo "Usage: $(basename $0) OLD_PORT NEW_PORT COMMAND_LINE" echo echo "Launch COMMAND_LINE, but intercept system calls to bind" echo "to OLD_PORT and instead bind them to localhost:NEW_PORT" exit 2 } # Parameter defaults mydir=$(readlink -f $(dirname ${0})) export RE...
true